import { createContext } from 'react';

interface IAuthContext {
  isAuth: boolean;
  giveAuth: (token: string) => void;
  removeAuth: () => void;
}

export const AuthContext = createContext<IAuthContext>({
  isAuth: false,
  giveAuth: () => console.error('no give auth function'),
  removeAuth: () => console.error('no remove auth function')
});
